(function( $ ) {

	'use strict';
	$(function() {

		/** 
		 * Applying font-select plugin to the pp_banner_font to display the list of 
		 * fonts in a dropdown
		*/
		$( '#pp_banner_font' ).fontselect().change( function() {

			$( '#pp_banner_font' ).val( $( this ).val() );
		});

		/* Condition to check if the user has previously selected a font. If yes then display it in the drop down */
		if( '' !== $( '#pp_banner_font' ).data( 'selected-font' ) ) {

			$( '#pp_banner_font' ).trigger( 'setFont', $( '#pp_banner_font' ).data( 'selected-font' ) );
			$( 'body' ).trigger( 'click' );
			$( window ).scrollTop( 0 );
		}
		checkPositionAndSizeSettings( $( 'input[name=pp_banner_position]:checked' ).val(),  $( 'input[name=pp_banner_size]:checked' ).val() );


		/**
		 * Code to copy the text in the Privacy Policy link textbox
		 */

		$( '#copy-button' ).on( 'click', function() {

			$( '#pp_privacy_policy_link' ).select();
			document.execCommand( 'copy' );
			$( '#linked-copied-msg' ).fadeIn( 100, function() {

				$( this ).fadeOut( 2000 );
			});

			return false;
		});

		/**
		 * Code to display the preview image on the admin screen based on banner size and banner positon selection.
		 */

		$( 'input[name=pp_banner_position], input[name=pp_banner_size]' ).on( 'change', function() {
			
			checkPositionAndSizeSettings( $( 'input[name=pp_banner_position]:checked' ).val(),  $( 'input[name=pp_banner_size]:checked' ).val() );
		});
	});

})( jQuery );


/**
 * function to display preview image on the admin screen based on banner size and banner positon selection.
 */

function checkPositionAndSizeSettings( bannerPosition, bannerSize ) {

	var pluginAdminImageDirPath = jQuery( '.plugin-admin-image-dir-path' ).val();

	if( 'top' === bannerPosition && 'large' === bannerSize ) {

		jQuery( '.pp-cookie-banner-admin-preview' ).attr( 'src', pluginAdminImageDirPath + 'gdpr-preview-large-top.png' );

	} else if ( 'top' === bannerPosition && 'medium' === bannerSize ) {

		jQuery( '.pp-cookie-banner-admin-preview' ).attr( 'src', pluginAdminImageDirPath + 'gdpr-preview-medium-top.png' );

	} else if( 'top' === bannerPosition && 'small' === bannerSize ) {

		jQuery( '.pp-cookie-banner-admin-preview' ).attr( 'src', pluginAdminImageDirPath + 'gdpr-preview-small-top.png' );

	} else if( 'bottom' === bannerPosition && 'small' === bannerSize ) {

		jQuery( '.pp-cookie-banner-admin-preview' ).attr( 'src', pluginAdminImageDirPath + 'gdpr-preview-small-bottom.png' );

	} else if( 'bottom' === bannerPosition && 'medium' === bannerSize ) {

		jQuery( '.pp-cookie-banner-admin-preview' ).attr( 'src', pluginAdminImageDirPath + 'gdpr-preview-medium-bottom.png' );

	} else {

		jQuery( '.pp-cookie-banner-admin-preview' ).attr( 'src', pluginAdminImageDirPath + 'gdpr-preview-large-bottom.png' );

	}
}