<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://example.com
 * @since      1.0.0
 *
 * @package    Gdpr_Cookie_Banner
 * @subpackage Gdpr_Cookie_Banner/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<?php
    // check user capabilities
    if ( ! current_user_can('manage_options' ) ) {
        return;
    }
    ?>
    <div class="wrap">
        <h1><?php echo esc_html(get_admin_page_title()); ?></h1>
        <div class="clearfix">
            <div class="custom-content-section">
                <form action="options.php" enctype="multipart/form-data" method="post">
                    <?php
                        
                        //add_settings_section callback is displayed here. For every new section we need to call settings_fields.
                        settings_fields( "pp_gdpr_cookie_banner_options" );
                        
                        // all the add_settings_field callbacks is displayed here
                        do_settings_sections( $this->gdpr_cookie_banner );
                    
                        // Add the submit button to serialize the options
                        submit_button(); 
                        
                    ?>          
                </form>
            </div>
            <div class="custom-info-section">
                <div class="privacy-policy-container">
                    <p class="privacy-policy-info">It's quick and easy - Copy the HTML code and paste it in the text box to the left. You can edit the message as needed.</p>
                    <?php
                        if ( function_exists( 'get_privacy_policy_url' ) && '' !== get_privacy_policy_url() ) {
                            
                            ?>
                            <input type="text" name="<?php echo esc_attr('pp_privacy_policy_link'); ?>" class="privacy-policy-link" id="<?php echo esc_attr('pp_privacy_policy_link'); ?>" value="<a href='<?php echo get_privacy_policy_url(); ?>'><?php echo __("Privacy Policy", "gdpr-cookie-banner"); ?></a>" />
                            <?php
                        }
                        else {
                            
                            ?>
                            <input type="text" name="<?php echo esc_attr('pp_privacy_policy_link'); ?>" class="privacy-policy-link" id="<?php echo esc_attr('pp_privacy_policy_link'); ?>" value="<a href='/privacy-policy'><?php echo __("Privacy Policy", "gdpr-cookie-banner"); ?></a>" />
                            <?php
                        }
                    ?>
                    <button id="<?php echo esc_attr('copy-button'); ?>" class="<?php echo esc_attr('button copy-button'); ?>"><?php echo __("Copy", "gdpr-cookie-banner"); ?></button>
		            <span id="<?php echo esc_attr('linked-copied-msg') ?>" class="copied-link-msg" style="<?php echo esc_attr('display:none;') ?>"><?php echo __("Link Copied!!", "gdpr-cookie-banner"); ?></span>
                </div>
                <div class="content-preview-container">
                    <input type="hidden" class="plugin-admin-image-dir-path" value="<?php echo esc_url( plugins_url( 'gdpr-cookie-banner/admin/images/' ) ); ?>">
                    <img class="<?php echo esc_attr( 'pp-cookie-banner-admin-preview' ); ?>" src="<?php echo esc_url( plugins_url( 'gdpr-cookie-banner/admin/images/gdpr-preview-large-bottom.png' ) ); ?>" />
                </div>
            </div>
        </div>
		
        
    </div>
    <?php
?>