<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       http://example.com
 * @since      1.0.0
 *
 * @package    Gdpr_Cookie_Banner
 * @subpackage Gdpr_Cookie_Banner/public/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->

<?php

    $pp_cookie_popup_message = get_option( 'pp_cookie_popup_message' );

    $pp_cookie_popup_message = wp_kses(
        $pp_cookie_popup_message,
        array(
            'a' => array(
                'href' => array(),
                'title' => array()
            )
        ),
        array(
            'http',
            'https'
        )
    );

    $pp_cookie_popup_message = apply_filters( 'pp_cookie_popup_message_filter', $pp_cookie_popup_message );
    $pp_banner_position = get_option( 'pp_banner_position' );
    $pp_banner_size = get_option( 'pp_banner_size' );
    $pp_banner_background_color = get_option( 'pp_banner_background_color' );


    $pp_banner_size_class = '';
    $pp_banner_position_class = ( 'top' === $pp_banner_position ) ? esc_attr( 'fixed-top' ) : '';
    $pp_banner_background_color_class = ( 'light' === $pp_banner_background_color ) ? esc_attr( 'light-bg' ) : esc_attr( 'dark-bg' );


    if ( 'small' === $pp_banner_size ) {

        $pp_banner_size_class = 'cookies-small';

    } else if ( 'medium' === $pp_banner_size ) {

        $pp_banner_size_class = 'cookies-medium';
    }
    

    /**
     * Check if the cookie popup message is not blank and the user has not closed the cookie banner
     */
    if( ( isset( $pp_cookie_popup_message ) && '' !==  trim( $pp_cookie_popup_message ) ) && ! ( isset( $_COOKIE['ppPopUpBannerShown']  ) && '1' === $_COOKIE['ppPopUpBannerShown'] ) ) {
        ?>
        <div id="<?php echo esc_attr('cookie-banner-container'); ?>" class="<?php echo esc_attr('cookies-section').' '.$pp_banner_size_class.' '.$pp_banner_position_class.' '.$pp_banner_background_color_class;  ?>">
            <div class="<?php echo esc_attr('cookies-container'); ?>">
                <div class="<?php echo esc_attr('cookies-row clearfix'); ?>">
                    <div class="<?php echo esc_attr('cookies-description-section'); ?>">
                        <span class="<?php echo esc_attr('cookies-description'); ?>"><?php echo __( $pp_cookie_popup_message, 'gdpr-cookie-banner' ); ?></span>
                    </div>
                    <div class="<?php echo esc_attr('cookies-close-section'); ?>">
                        <a onclick="<?php echo esc_js('closeCookieBanner();'); ?>" href="<?php echo esc_js('javascript:void(0);'); ?>" class="<?php echo esc_attr('cookies-close'); ?>"></a>
                    </div>
                </div>
            </div>
        </div>
        <?php
    }
?>